//
//  RTcmixManager.h
//
//		Singleton (one instance throughout the app) used to mediate between
//		interface and RTcmixPlayer audio system
//
//  Created by Brad Garton on 7/17/09.
//	modified with RTcmixManager by Damon Holzborn 3/2010
//
//	-- basic skeleton for development, usually the methods are called by the AppDelegate
//

#import <Foundation/Foundation.h>
#import "RTcmixPlayer.h"

@interface RTcmixManager : NSObject {	
	RTcmixPlayer *rtcmixPlayer;	
}

@property (nonatomic, retain)	RTcmixPlayer	*rtcmixPlayer;

+ (id)sharedManager;

- (void)checkBangMethod;	// in RTcmixPlayer playback callback (has to be implemented)
- (void)startRTcmix;
// add any other action methods here
- (void) allez;
- (void) plus;
- (void) fin;
- (void)newGain: (Float32)newgain;

@end
